中危 Python 至 2.7.16/3.7.2 urllib2 urllib.request.urlopen Query String crlf 注入漏洞

CVE编号

CVE-2019-9947

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-24
漏洞描述
在Python 2.x到2.7.16中的urllib2和Python 3.x到3.7.2中的urllib中发现了一个问题。如果攻击者控制url参数,则可以进行CRLF注入,如urllib.request.urlopen的第一个参数所示,其中\ r \ n(特别是在查询字符串或PATH_INFO中)后跟HTTP标头或Redis命令。这类似于CVE-2019-9740。<br>
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python python * From
(including)
2.0
Up to
(including)
2.7.15
运行在以下环境
应用 python python * From
(including)
3.0.0
Up to
(including)
3.7.2
运行在以下环境
应用 python python 2.7.16 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 python3 * Up to
(excluding)
2.7.5-86.1.al7
运行在以下环境
系统 amazon_2 python3 * Up to
(excluding)
3.7.3-1.amzn2.0.2
运行在以下环境
系统 amazon_AMI python3 * Up to
(excluding)
3.4.10-1.49.amzn1
运行在以下环境
系统 centos_8 python3 * Up to
(excluding)
3.6.8-15.1.el8
运行在以下环境
系统 debian_10 python3 * Up to
(excluding)
2.7.16-2+deb10u1
运行在以下环境
系统 debian_8 python3 * Up to
(excluding)
2.7.9-2+deb8u2
运行在以下环境
系统 debian_9 python3 * Up to
(excluding)
2.7.13-2+deb9u4
运行在以下环境
系统 fedora_29 python3 * Up to
(excluding)
3.7.3-3.fc29
运行在以下环境
系统 fedora_30 python3 * Up to
(excluding)
3.7.3-3.fc30
运行在以下环境
系统 fedora_EPEL_6 python3 * Up to
(excluding)
3.4.10-4.el6
运行在以下环境
系统 fedora_EPEL_7 python3 * Up to
(excluding)
3.4.10-4.el7
运行在以下环境
系统 opensuse_Leap_15.0 python3 * Up to
(excluding)
2.7.14-lp150.6.21.1
运行在以下环境
系统 opensuse_Leap_15.1 python3 * Up to
(excluding)
3.6.10-lp151.6.7.1
运行在以下环境
系统 oracle_7 python3 * Up to
(excluding)
2.7.5-86.0.1.el7
运行在以下环境
系统 oracle_8 python3 * Up to
(excluding)
3.6.8-15.1.0.1.el8
运行在以下环境
系统 redhat_8 python3 * Up to
(excluding)
3.6.8-15.1.el8
运行在以下环境
系统 suse_12_SP5 python3 * Up to
(excluding)
3.6.10-4.3.5
运行在以下环境
系统 ubuntu_14.04 python3 * Up to
(excluding)
2.7.6-8ubuntu0.6+esm2
运行在以下环境
系统 ubuntu_16.04 python3 * Up to
(excluding)
2.7.12-1ubuntu0~16.04.8
运行在以下环境
系统 ubuntu_18.04 python3 * Up to
(excluding)
2.7.15-4ubuntu4~18.04.1
阿里云评分
4.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-93 对CRLF序列的转义处理不恰当(CRLF注入)
阿里云安全产品覆盖情况